2021年10月02日

Wordpress導入しようと思ったけどいろいろあって折れそうってお話

自宅サーバーにWordPressを導入しようとしている
が、そのままでは入らなかった

phpのモジュールが無くてwp-adminでエラー



with-gzip が無いからwp-admin に入れなかった
これを機会に php7.4から8に上げた

サイトヘルスで見ると足りないモジュールがたくさんあった



これは withをつけまくってphpをインストールすればいいんだけど、
libpngとか細々したものを大量にmakeする必要がある

もうめんどくなって dnf -y install 〜-devel とかしてたんだけども
CentOS の libzip が古くて php8が入らない

じゃあ別にlibzip 入れるか、と考えたけども、もうCentOSのほうがダメだなって思ったのでalma8に変えよう
と思ってめんどくなっているのが今




さくらインターネットに契約してるので、そっちを使えば楽なんだろうけど
さくらインターネット の ライトプラン 最大の問題が MySql使えないことにある

じゃあスタンダードにすれば良いやんっていうところなんだけども、プランの昇格ができないのがまたダメ
ライトで使っているのは

・自宅サーバーのグローバルIP取得システム
・このブログ
・メール

で、システムとブログは移行できるからいいんだけど、メールは大変
大変ってかこれ移そうと思うと、メールクライアント経由になるはず

なのでめんどくさいなあって


つい最近 AWS lightsail というのを教えてもらったけど、こっちのMySqlのプランが 15$ で高い

じゃあもう自宅でやるかっていう状態になっているのが今


Webサービスもまだまだお硬いね、と思いましたと

posted by Extrose at 10:57 | Comment(0) | 日記
この記事へのコメント
コメントを書く
お名前:

メールアドレス:

ホームページアドレス:

コメント: